{
	saved_FirstTime[0]

	GoPath[ (path, mode, post)
	{
		switch( mode )
		{
			case 0
			{
				SetRunning();
				PlayAnimation(0);
			}
			case 1
			{
				SetWalking();
				PlayAnimation(1);
			}
		}

		FollowPath( path, 0 );
		switch( post )
		{
			case 0{ FollowPathCallback(127, "GoPatrol"); }
		}
	}]

	GoPatrol[ ()
	{
		SetAttackDistance(32,8);
		SetState_Patrol(0);
		SetLineOfSight(1);
		SetWander(0);
	}]

	GiveRandomWeapon[ ()
	{
		gun = Random(1,3);
		switch(gun)
		{
			case 1 { GiveWeapon(56); } // MP44
			case 2 { GiveWeapon(53); } // Kar98k
			case 3 { GiveWeapon(55); } // MP40
		}
	}]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			//if( 	(GetID()="jeff01") or
			//	(GetID()="jeff02") )
			//{
			//	SetNationality(3);
			//}
			//else
			//{
				SetNationality(1);
			//}
			GiveRandomWeapon();
			SetRunning();
			PlayAnimation(7);
		}
	}]
}